/* Derlemek icin gcc -o program_ismi 1.c */

#include <stdio.h>
#include <stdlib.h>

int main()
{
	int x, y, z;
	
	z = 1;
	x = y = z;
	printf("x = %d \t y = %d \t z = %d \n", x, y, z);
	
	x = y++ + ++z;
	//x = ++y + ++z;
		
	printf("x = %d \t y = %d \t z = %d \n", x, y, z);

	x = y == z;   //if y=z then x=1, otherwise x=0 
	
	printf("x = %d \t y = %d \t z = %d \n", x, y, z);
	
	x = y == --z;
	//x = y == z--;
		
	printf("x = %d \t y = %d \t z = %d \n", x, y, z);
	
	system("pause");
	
	return 0;
}
